Returns a list of inventory items (sources, visuals, dashboards or reports)
curl --request GET \
--url http://10.2.4.166:8080/composer/api/inventory \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://10.2.4.166:8080/composer/api/inventory"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://10.2.4.166:8080/composer/api/inventory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/inventory",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/inventory"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("http://10.2.4.166:8080/composer/api/inventory")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/inventory")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"content": [
{
"inventoryItemId": "<string>",
"accountId": "<string>",
"originId": "<string>",
"type": "DASHBOARD",
"associatedItems": [
{
"name": "<string>",
"type": "SOURCE",
"inventoryItemId": "<string>"
}
],
"tags": [
"<string>"
],
"name": "<string>",
"description": "<string>",
"favorite": true,
"favoriteId": "<string>",
"modifiedDate": "2023-11-07T05:31:56Z",
"creatorName": "<string>",
"creatorFullName": "<string>",
"creatorId": "<string>",
"permissions": [
"READ"
],
"typeName": "<string>"
}
]
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}Returns a list of inventory items (sources, visuals, dashboards or reports)
Returns a list of inventory items (sources, visuals, dashboards or reports)
curl --request GET \
--url http://10.2.4.166:8080/composer/api/inventory \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://10.2.4.166:8080/composer/api/inventory"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://10.2.4.166:8080/composer/api/inventory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/inventory",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/inventory"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("http://10.2.4.166:8080/composer/api/inventory")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/inventory")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"content": [
{
"inventoryItemId": "<string>",
"accountId": "<string>",
"originId": "<string>",
"type": "DASHBOARD",
"associatedItems": [
{
"name": "<string>",
"type": "SOURCE",
"inventoryItemId": "<string>"
}
],
"tags": [
"<string>"
],
"name": "<string>",
"description": "<string>",
"favorite": true,
"favoriteId": "<string>",
"modifiedDate": "2023-11-07T05:31:56Z",
"creatorName": "<string>",
"creatorFullName": "<string>",
"creatorId": "<string>",
"permissions": [
"READ"
],
"typeName": "<string>"
}
]
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}Authorizations
HTTP Basic authentication using global administrator credentials (username and password).
Query Parameters
Deprecated since 7.10, to be removed in 8.x
Available options:
ALL, SHARED_WITH_ME, MINE Available options:
NAME, DESCRIPTION, MODIFIED_DATE, TYPE, CREATOR, ASSOCIATED_ITEMS, FAVORITES Available options:
ASC, DESC Available options:
DASHBOARD, REPORT, VISUAL, SOURCE Only meaningful for type=SOURCE while inside a workspace. ACCOUNT forces account-scoped sources; ALL returns both workspace and account sources. Ignored otherwise.
Available options:
ACCOUNT, ALL Response
The list of inventory items was retrieved
Show child attributes
Show child attributes
Was this page helpful?